/*
 * Copyright (c) 2012 Sonatype, Inc. All rights reserved.
 *
 * This program is licensed to you under the Apache License Version 2.0,
 * and you may not use this file except in compliance with the Apache License Version 2.0.
 * You may obtain a copy of the Apache License Version 2.0 at http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the Apache License Version 2.0 is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Apache License Version 2.0 for the specific language governing permissions and limitations there under.
 */
package org.sonatype.sisu.velocity;

import java.util.List;

import org.apache.velocity.app.VelocityEngine;
import org.apache.velocity.runtime.log.LogChute;
import org.sonatype.sisu.velocity.internal.VelocityConfigurator;

public interface Velocity
{
    /**
     * Key used to bind the "instance id" in VelocityEngine's ApplicationAttributes.
     */
    String INSTANCE_ID = "instanceId";
    
    /**
     * Returns the configured, ready to use, shared (singleton) instance of VelocityEngine.
     * 
     * @return
     */
    VelocityEngine getEngine();

    /**
     * Creates a new engine.
     * 
     * @param id
     * @param logChute
     * @param configurators
     * @return
     */
    VelocityEngine createEngine( final String id, final LogChute logChute,
                                 final List<VelocityConfigurator> configurators );
}
